Docs Kling /kling/v1/videos/lip-sync
API reference

Lip sync

1. Generate video 2. This interface requires video id or video url The video ID needs to be used on the parent task account. Please do it as soon as possible to avoid the expiration of the resource package. Official…

POST/kling/v1/videos/lip-sync

Body Parametersapplication/json

input* object

Input content

properties
mode* string

video generation mode

text* string

script for synthesized audio

video_id* string

ID of a video generated by Kling AI

video_url* string

URL of the uploaded video,mutually exclusive with input.video_id, exactly one must be set

voice_id* string

voice ID

voice_language* string

voice language, corresponds to voice ID

Responses

200 application/json
response-200 object
properties
code* integer

Business status code

data* object

Data payload (often Base64 or a structured object)

message* string

Message text

request_id* string

Request trace ID

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"mode": "std",
4"text": "今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好",
5"video_id": "827964097668337738",
6"video_url": "https://example.com/sample.mp4",
7"voice_id": "girlfriend_1_speech02",
8"voice_language": "zh"
9}
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/videos/lip-sync" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"mode": "std",
7"text": "今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好",
8"video_id": "827964097668337738",
9"video_url": "https://example.com/sample.mp4",
10"voice_id": "girlfriend_1_speech02",
11"voice_language": "zh"
12}
13}'
Response
1▼{
2"code": 0,
3▼"data": {
4"created_at": 1762832498885,
5"task_id": "817067112967086149",
6"task_info": {},
7"task_status": "submitted",
8"updated_at": 1762832498885
9},
10"message": "SUCCEED",
11"request_id": "38905f60-e76c-4f77-adb3-867a5b67d41e"
12}